
if (!window.kerio) {
kerio = {lib: {x_nq: window.alert}};
}

kerio.lib.x_10u = function(x_2ur) {
if (!kerio.lib.x_2jk) {
kerio.lib.x_2jk = {};
}
kerio.lib.x_2jk.x_2us = x_2ur;
};

kerio.lib.x_29l = function() {
if (kerio.lib.x_2jk) {
return kerio.lib.x_2jk.x_2us;
}
else {
return undefined;
}
};

kerio.lib.x_2ut = function(x_2uu) {
var x_295 = kerio.lib.x_29l().join(',');
for (var x_41 = 0, x_42=x_2uu.length; x_41 < x_42; x_41++) {
if (-1 !== x_295.indexOf(x_2uu[x_41])) {
return x_2uu[x_41];
}
}
return 'en'; };

kerio.lib.x_x = function(x_2uv, x_2uw, x_6q) {
if ('' == x_2uv) {
return x_2uv;
}
var x_10y = x_2uv;
var x_2ux = 'common';
var x_2uy = '<span class="missingTranslation">';
var x_2uz = '</span>';
var x_1j1 = kerio.lib.x_1j1;
if (x_1j1 && x_1j1.x_1j2 &&  'en' == x_1j1.x_1j2) {
if (kerio.lib.x_2v0) {
x_2uy = '<span class="appliedTranslation">';
x_2uz = '</span>';
}
else {
x_2uy = '';
x_2uz = '';
}
}
else {
if (undefined === x_2uw) {
x_2uw = x_2ux;
}
if (kerio.lib.x_10y && kerio.lib.x_10y[x_2uw]) {
x_10y = kerio.lib.x_10y[x_2uw][x_2uv];
if (undefined === x_10y && x_2ux != x_2uw && kerio.lib.x_10y[x_2ux]) {
x_10y = kerio.lib.x_10y[x_2ux][x_2uv];
}
if (undefined === x_10y) {
x_10y = x_2uv;
}
else {
x_2uy = '';
x_2uz = '';
}
}
}
if (!x_6q) {
x_6q = {};
}
var x_2v1 = false;
if (typeof(x_10y) == 'object') {
x_2v1 = true;
}
var x_2v2 = false;
if (typeof (x_6q.x_fo) != 'undefined') {
x_2v2 = true;
}
if (x_2v1 && !x_2v2) {
kerio.lib.x_nq('Internal error: Translator error' + '\n' + 'enMessage: ' + x_2uv + '\n' + 'Context: '
+ x_2uw + '\n' + '\n' + 'No plurality parameters defined but required!', 'translator.js');
return;
} else if (x_2v1 && x_2v2) {
var x_fo = x_6q.x_fo;
if (1 == x_fo) {
x_10y = x_10y.x_2v3;
return;
} else if(x_fo > 1 && x_fo < 5) {
if (typeof(x_10y.x_2v4) != 'undefined') {
x_10y = x_10y.x_2v4;
} else {
kerio.lib.x_nq('Internal error: Translator error' + '\n' + 'enMessage: ' + x_2uv + '\n' + 'Context: ' + x_2uw + '\n' + '\n' + 'Paucal not defined!', 'translator.js');
}
} else {
if (typeof(x_10y.x_2v5) != 'undefined') {
x_10y = x_10y.x_2v5;
} else {
kerio.lib.x_nq('Internal error: Translator error' + '\n' + 'enMessage: ' + x_2uv + '\n' + 'Context: ' + x_2uw + '\n' + '\n' + 'Plural not defined!', 'translator.js');
}
}
}
var x_2v6 = false;
if (x_10y.toString().indexOf('%') != -1) {
x_2v6 = true;
}
var x_2v7 = false;
if (typeof (x_6q.x_49) != 'undefined') {
x_2v7 = true;
}
if (x_2v6 && !x_2v7) {
kerio.lib.x_nq('Internal error: Translator error' + '\n' + 'enMessage: ' + x_2uv + '\n' + 'Context: ' + x_2uw + '\n' + '\n' + 'No placeholder parameters defined but required!', 'translator.js');
return;
}
if ( x_2v6 && x_2v7) {
var x_49 = x_6q.x_49;
for (var x_41 in x_49) {
x_49[x_41] = '' ? '""' : x_49[x_41];	x_10y= x_10y.replace(('%' + (x_41*1 + 1)), true === x_6q.x_ke ? x_49[x_41] : kerio.lib.x_qc(x_49[x_41]));
}
}
if (kerio.lib.x_2v8 || kerio.lib.x_2v0) {
return x_2uy + x_10y + x_2uz;
}
return x_10y;
}; 

kerio.lib.x_a1 = function(x_2vh) {
var
x_1j1 = kerio.lib.x_1j1,
x_10f;
if (x_1j1 && x_1j1.x_1j2) {
x_10f = x_1j1.x_1j2;
}
else {
x_10f = 'en';
}
return undefined !== x_2vh[x_10f] ? x_2vh[x_10f] : x_2vh.x_a2;
}
